Subject: [xrblock] XRBlock Template...follow PMOL?

From: Peter Musgrave <[email-masked]>
Date: Sun, 13 Feb 2011 07:55:31 -0500

Hi all, 

In our charter it states: "The group will consider the guidelines for performance metric 
development currently being discussed in the PMOL working group."

So let's consider them. 

I'd suggest we develop a standard template (as is used e.g. for SIP event packages) for XR block definitions. PMOL already defines elements it wants in the template. 

I have provided a typical XR draft and the PMOL guidelines below. 

I would suggest we agree on a standard template for XR blocks which meet our needs and fit in with PMOL. I am willing to create a first cut of this template but first:

Q: Is such a template a good idea?
Q: Does anyone have any concerns about the PMOL template elements?
Q: Is there anything else people want to see in a template?

Regards, 

Peter Musgrave
(as co-chair)

PMOL Template (from http://tools.ietf.org/html/draft-ietf-pmol-metrics-framework-07)
Normative
   o  Metric Name
   o  Metric Description
   o  Method of Measurement or Calculation
   o  Units of Measurement
   o  Measurement Point(s) with potential Measurement Domain
   o  Measurement Timing

Informative
   o  Implementation
   o  Verification
   o  Use and Applications
   o  Reporting Model

A typical XR draft has a structure such as (e.g. http://tools.ietf.org/id/draft-ietf-avt-rtcp-xr-burst-gap-discard-02.txt). While this draft makes reference to PMOLFRAME
there are elements which are not as per the latest PMOL draft. 
   1.  Introduction . . . . . . . . . . . . . . . . . . . . . . . . .  3
     1.1.  Burst and Gap Discard Report Block . . . . . . . . . . . .  3
     1.2.  RTCP and RTCP XR Reports . . . . . . . . . . . . . . . . .  3
     1.3.  Performance Metrics Framework  . . . . . . . . . . . . . .  3
     1.4.  Applicability  . . . . . . . . . . . . . . . . . . . . . .  4
   2.  Definitions  . . . . . . . . . . . . . . . . . . . . . . . . .  5
   3.  Burst/Gap Discard Block  . . . . . . . . . . . . . . . . . . .  6
     3.1.  Report Block Structure . . . . . . . . . . . . . . . . . .  6
     3.2.  Definition of Fields in Burst/Gap Discard Report Block . .  6
     3.3.  Derived metrics based on reported metrics  . . . . . . . .  8
   4.  Considerations for Voice-over-IP applications  . . . . . . . . 10
   5.  SDP Signaling  . . . . . . . . . . . . . . . . . . . . . . . . 11
   6.  IANA Considerations  . . . . . . . . . . . . . . . . . . . . . 12
     6.1.  New RTCP XR Block Type value . . . . . . . . . . . . . . . 12
     6.2.  New RTCP XR SDP Parameter  . . . . . . . . . . . . . . . . 12
     6.3.  Contact information for registrations  . . . . . . . . . . 12
   7.  Security Considerations  . . . . . . . . . . . . . . . . . . . 13

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Sun, 13 Feb 2011 14:28:43 +0100

Presumably this will have to be integrated with whatever comes out of the monarch work in avtcore.

regards

Keith

________________________________
From: [email-masked] [mailto:[email-masked]] On Behalf Of Peter Musgrave
Sent: 13 February 2011 12:56
To: [email-masked]
Cc: Roni Even
Subject: [xrblock] XRBlock Template...follow PMOL?

Hi all,

So let's consider them.

Regards,

Peter Musgrave
(as co-chair)

Informative
   o  Implementation
   o  Verification
   o  Use and Applications
   o  Reporting Model

---

From: Peter Musgrave <[email-masked]>
Date: Sun, 13 Feb 2011 09:50:12 -0500

Good point. 

I agree monarch will need to be factored in here. 

Peter

---

From: Qin Wu <[email-masked]>
Date: Mon, 14 Feb 2011 10:55:56 +0800

Hi,
I agree that all the XRBlock work should observe the guideline of draft-ietf-pmol-metrics-framework-06
and it is good to have such XRBlcok Template as checklist to check any inconsistency in the new XRBlock
work.
As you know, [I-D.ietf-pmol-metrics-framework] provides the guideline to develop new performance metrics 
that is applicable to the IETF environment and Permance metric  may take different data formats. Therefore 
It seems to me all the existing XRBlock work including RFC3611 has already been in accordance with the
 guideline in the PMOLFRAME, am I right? 

What's more I think SIP event package defined in [I-D.ietf-sipping-rtcp-summary], 
RAQMON Protocol Data Unit define in  [RFC4710] should also followed the guideline
 for developing performance metrics in PMOLFRAME whether or not they make 
reference to PMOLFRAME.

As for the concern to XRBlock Template elements, I am wondering if all the elements
 listed in PMOLFRAME is in the scope of current XRBlock Charter, e.g.,
Measurement method? Does it indicate the the scope of XRBlock WG needs to be
 enlarged if such XRBlock Template with all elements is adopted?

Regards!
-Qin
----- Original Message ----- 
  From: Peter Musgrave 
  To: [email-masked] 
  Cc: Roni Even 
  Sent: Sunday, February 13, 2011 8:55 PM
  Subject: [xrblock] XRBlock Template...follow PMOL?

  Hi all, 

  So let's consider them. 

  Regards, 

  Peter Musgrave
  (as co-chair)

  Informative
     o  Implementation
     o  Verification
     o  Use and Applications
     o  Reporting Model

------------------------------------------------------------------------------

  _______________________________________________
  xrblock mailing list
  [email-masked]
  https://www.ietf.org/mailman/listinfo/xrblock

---

From: "DRAGE, Keith (Keith)" <[email-masked]>
Date: Mon, 14 Feb 2011 11:13:44 +0100

Draft-ietf-sipping-rtcp-summary has already been published as RFC 6035. Are you proposing that XRBLOCK should do a revision?

Regards

Keith

	From: [email-masked] [mailto:[email-masked]] On Behalf Of Qin Wu
	Sent: 14 February 2011 02:56
	To: Peter Musgrave; [email-masked]
	Cc: Roni Even
	Subject: Re: [xrblock] XRBlock Template...follow PMOL?

	Hi,

	 
	Regards!
	-Qin
	----- Original Message ----- 

		From: Peter Musgrave <mailto:[email-masked]>  
		To: [email-masked] 
		Cc: Roni Even <mailto:[email-masked]>  
		Sent: Sunday, February 13, 2011 8:55 PM
		Subject: [xrblock] XRBlock Template...follow PMOL?

		Hi all, 

		So let's consider them. 

		Regards, 

		Peter Musgrave
		(as co-chair)

		Informative
		   o  Implementation
		   o  Verification
		   o  Use and Applications
		   o  Reporting Model

---

From: Peter Musgrave <[email-masked]>
Date: Mon, 14 Feb 2011 06:30:32 -0500

Hi Qin, 

Interesting point about the measurement method. I agree that might be going a bit too far. I do not object to this as an optional element to provide a non-normative illustration of how to calculate the metric in a specific circumstance.

I agree we should avoid being in the business of specifying how the measurement must be made. 

I do think that the metric needs to be precisely defined to be interoperable - so independent of HOW the measurement  is made a normative description of what the metric represents in a way that two implementors would get the same value (even if they measured the data in slightly different ways) is important. 

As to what is in charter, the charter talks about blocks "containing new metrics" but is silent on the issue of where these new metrics come from. In practice most of the work in front of the group is with reference to fairly typical datagram metrics. I think a genuinely new metric would need to be assessed based on its specifics. 

Peter Musgrave
(as individual)

---

From: Qin Wu <[email-masked]>
Date: Tue, 15 Feb 2011 09:51:37 +0800

No, I am not expecting draft-ietf-sipping-rtcp-summary to reference small and resuable new metrics report that will be developed in XRBlock.
We may let it be. Actually draft-ietf-sipping-rtcp-summary make a good use of a larger application specific metric, i.e., VOIP metric report 
defined in RFC3611.

Regards!
-Qin
----- Original Message ----- 
From: "DRAGE, Keith (Keith)" <[email-masked]>
To: "Qin Wu" <[email-masked]>; "Peter Musgrave" <[email-masked]>; <[email-masked]>
Cc: "Roni Even" <[email-masked]>
Sent: Monday, February 14, 2011 6:13 PM
Subject: RE: [xrblock] XRBlock Template...follow PMOL?

Regards

Keith

Hi,

Regards!
-Qin
----- Original Message ----- 

Hi all, 

So let's consider them. 

Regards, 

Peter Musgrave
(as co-chair)

Informative
   o  Implementation
   o  Verification
   o  Use and Applications
   o  Reporting Model

---

From: Qin Wu <[email-masked]>
Date: Tue, 15 Feb 2011 10:44:59 +0800

Hi,
  ----- Original Message ----- 
  From: Peter Musgrave 
  To: Qin Wu 
  Cc: [email-masked] ; Roni Even 
  Sent: Monday, February 14, 2011 7:30 PM
  Subject: Re: [xrblock] XRBlock Template...follow PMOL?

  Hi Qin, 

  [Qin]: Yes,I think in some case, measurement methodology for some metric may be defined somewhere else, e.g., ITU-T G.IPTV-PMMM, G.IPTV-PMR. We may just referece it rather than specifying it.

  [Qin] Agree.

  As to what is in charter, the charter talks about blocks "containing new metrics" but is silent on the issue of where these new metrics come from.
   In practice most of the work in front of the group is with reference to fairly typical datagram metrics. I think a genuinely new metric would need to be assessed based on its specifics. 

  Peter Musgrave
  (as individual)

    Hi,

    Regards!
    -Qin
    ----- Original Message -----
      From: Peter Musgrave
      To: [email-masked]
      Cc: Roni Even
      Sent: Sunday, February 13, 2011 8:55 PM
      Subject: [xrblock] XRBlock Template...follow PMOL?

      Hi all, 

      So let's consider them. 

      Regards, 

      Peter Musgrave
      (as co-chair)

      Informative
         o  Implementation
         o  Verification
         o  Use and Applications
         o  Reporting Model

--------------------------------------------------------------------------